use clap::Parser;

mod cli;
mod logger;

type Result<T> = anyhow::Result<T>;

fn main() -> Result<()> {
    let cliargs = cli::CliArgs::parse();
    logger::init(&cliargs);
    log::debug!("Cli: {cliargs:?}");
    xmpd_settings::Settings::get()?.load(Some(cliargs.settings_path()))?;
    xmpd_gui::start(cliargs.manifest_path())?;
    Ok(())
}
